
From: Nishanth Aravamudan <nacc@us.ibm.com>

Use schedule_timeout_interruptible() instead of
set_current_state()/schedule_timeout() to reduce kernel size.

(akpm: this patch relies on other stuff in -mm, please don't apply)

Signed-off-by: Nishanth Aravamudan <nacc@us.ibm.com>
Cc: "Luck, Tony" <tony.luck@intel.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/ia64/hp/sim/simserial.c |    6 ++----
 1 files changed, 2 insertions(+), 4 deletions(-)

diff -puN arch/ia64/hp/sim/simserial.c~ia64-fix-up-schedule_timeout-usage arch/ia64/hp/sim/simserial.c
--- 25/arch/ia64/hp/sim/simserial.c~ia64-fix-up-schedule_timeout-usage	Wed Aug 17 17:00:30 2005
+++ 25-akpm/arch/ia64/hp/sim/simserial.c	Wed Aug 17 17:00:30 2005
@@ -642,10 +642,8 @@ static void rs_close(struct tty_struct *
 	info->event = 0;
 	info->tty = 0;
 	if (info->blocked_open) {
-		if (info->close_delay) {
-			current->state = TASK_INTERRUPTIBLE;
-			schedule_timeout(info->close_delay);
-		}
+		if (info->close_delay)
+			schedule_timeout_interruptible(info->close_delay);
 		wake_up_interruptible(&info->open_wait);
 	}
 	info->flags &= ~(ASYNC_NORMAL_ACTIVE|ASYNC_CLOSING);
_
